diff --git a/table.c b/table.c
index 2c5c36df..572ebd65 100644
--- a/table.c
+++ b/table.c
@@ -1648,6 +1648,8 @@ renderCoTable(struct table *tbl, int maxlimit)
 
     for (i = 0; i < tbl->ntable; i++) {
 	t = tbl->tables[i].ptr;
+	if (t == NULL)
+	    continue;
 	col = tbl->tables[i].col;
 	row = tbl->tables[i].row;
 	indent = tbl->tables[i].indent;
